Subject: bug#57350: 29.0.50; dired and filenames containing newlines

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Aug 2022 09:54:20 +0300

> Cc: [email-masked], [email-masked]
> From: Richard Stallman <[email-masked]>
> Date: Thu, 25 Aug 2022 23:37:00 -0400
> 
> I had forgotten about the --dired option.  Now that someone has
> reminded us about it, what stands between us and using that option
> as the normal way?

A lot of coding.  The --dired option tells Emacs where the file name
begins and ends, but it does nothing to remove the literal newline
character in the Dired buffer that breaks the file name entry into two
(or more) lines.  So all the Dired commands that move by lines and
assume a file's entry takes only one line on display become broken and
have to be rewritten almost from scratch.

Patches are welcome to fix all of that.  There's no argument that
using -b is a band-aid, not a solution.